<div dir="ltr">Hi Kevin,<div><br></div><div>I can give it a try later this evening, I need to upgrade to Buster first. </div><div>If you want to try building the debs, you would have to setup a build environment, which requires quilt, and a bunch of dev packages. </div><div><br></div><div>Simply building from the source would work as well to verify the libboost compatibility. I am expecting it to work fine.</div><div><br></div><div>Jason</div><div><br></div></div><br><div class="gmail_quote"><div dir="ltr" class="gmail_attr">On Mon, Jun 24, 2019 at 12:14 PM Kevin Olbrich <<a href="mailto:olbrich.mobil@gmail.com">olbrich.mobil@gmail.com</a>> wrote:<br></div><blockquote class="gmail_quote" style="margin:0px 0px 0px 0.8ex;border-left:1px solid rgb(204,204,204);padding-left:1ex"><div dir="auto"><div dir="ltr"><span></span></div><div dir="ltr">Hi Jason,</div><div dir="ltr"><br></div><div dir="ltr">Just to make sure: To test this, I need to compile Kea on my own right?</div><div dir="ltr"><br><div id="gmail-m_-4171681943312973517AppleMailSignature" dir="ltr"><div>Kind regards,</div><div>Kevin Olbrich.</div><div><br></div>(mobil vom iPhone)<div><br></div><div>--</div><div>Diese E-Mail enthält vertrauliche und/oder rechtlich geschützte Informationen. Wenn Sie nicht der richtige Adressat sind und/oder diese E-Mail irrtümlich erhalten haben, informieren Sie bitte sofort den Absender und vernichten Sie diese Mail. Das unerlaubte Kopieren sowie die unbefugte Weitergabe dieser Mail ist nicht gestattet.</div></div><div dir="ltr"><br>Am 24.06.2019 um 17:25 schrieb Jason Guy <<a href="mailto:jguy@cumulusnetworks.com" target="_blank">jguy@cumulusnetworks.com</a>>:<br><br></div><blockquote type="cite"><div dir="ltr"><div dir="ltr">Hey Kevin.<div><br></div><div>It should be easy enough to test with the newer version of libboost-system in buster. If it works fine, we can change the dependency to be libboost-system (<= 1.67). </div><div><br></div><div>Hope it is that easy.</div><div>Jason</div><div><br></div></div><br><div class="gmail_quote"><div dir="ltr" class="gmail_attr">On Sun, Jun 23, 2019 at 9:44 AM Kevin Olbrich <<a href="mailto:ko@sv01.de" target="_blank">ko@sv01.de</a>> wrote:<br></div><blockquote class="gmail_quote" style="margin:0px 0px 0px 0.8ex;border-left:1px solid rgb(204,204,204);padding-left:1ex">Hello Jason,<br>
<br>
sorry, it's not working:<br>
<br>
root@buildsrv01:~# apt-get install isc-kea-admin isc-kea-ctrl-agent<br>
isc-kea-dhcp4-server isc-kea-dhcp6-server isc-kea-dhcp-ddns-server<br>
python3-isc-kea-connector<br>
Reading package lists... Done<br>
Building dependency tree<br>
Reading state information... Done<br>
Some packages could not be installed. This may mean that you have<br>
requested an impossible situation or if you are using the unstable<br>
distribution that some required packages have not yet been created<br>
or been moved out of Incoming.<br>
The following information may help to resolve the situation:<br>
<br>
The following packages have unmet dependencies:<br>
 isc-kea-admin : Depends: isc-kea-common (=<br>
1.6.0-isc0025120190619100955) but it is not going to be installed<br>
                 Depends: libboost-system1.62.0 but it is not installable<br>
 isc-kea-ctrl-agent : Depends: isc-kea-common (=<br>
1.6.0-isc0025120190619100955) but it is not going to be installed<br>
                      Depends: libboost-system1.62.0 but it is not installable<br>
 isc-kea-dhcp-ddns-server : Depends: isc-kea-common (=<br>
1.6.0-isc0025120190619100955) but it is not going to be installed<br>
                            Depends: libboost-system1.62.0 but it is<br>
not installable<br>
 isc-kea-dhcp4-server : Depends: isc-kea-common (=<br>
1.6.0-isc0025120190619100955) but it is not going to be installed<br>
                        Depends: libboost-system1.62.0 but it is not installable<br>
 isc-kea-dhcp6-server : Depends: isc-kea-common (=<br>
1.6.0-isc0025120190619100955) but it is not going to be installed<br>
                        Depends: libboost-system1.62.0 but it is not installable<br>
E: Unable to correct problems, you have held broken packages.<br>
<br>
Theres only:<br>
<a href="https://packages.debian.org/buster/libboost-system1.67.0" rel="noreferrer" target="_blank">https://packages.debian.org/buster/libboost-system1.67.0</a><br>
<br>
That's the same problem as before, when I tried to mix buster with Sury's repo.<br>
<br>
Kind regards<br>
Kevin<br>
<br>
Am Sa., 22. Juni 2019 um 14:43 Uhr schrieb Jason Guy <<a href="mailto:jguy@cumulusnetworks.com" target="_blank">jguy@cumulusnetworks.com</a>>:<br>
><br>
> As far as I know, the same package should work with Buster, but I have not tried it yet.<br>
><br>
> Jason<br>
><br>
> On Fri, Jun 21, 2019 at 6:32 PM Kevin Olbrich <<a href="mailto:ko@sv01.de" target="_blank">ko@sv01.de</a>> wrote:<br>
>><br>
>> Hello Victoria,<br>
>><br>
>> is it possible to also build buster? I am in the position to test<br>
>> 1.6.0 but only with buster, not stable / stretch.<br>
>> Buster is around the corner and there is no compatible version of Kea yet.<br>
>><br>
>> I did a quick test with cloudsmith and it's missing buster.<br>
>><br>
>> Kind regards<br>
>> Kevin<br>
>><br>
>> Am Fr., 21. Juni 2019 um 22:33 Uhr schrieb Victoria Risk <<a href="mailto:vicky@isc.org" target="_blank">vicky@isc.org</a>>:<br>
>> ><br>
>> > Kea-users,<br>
>> ><br>
>> > We have just set up a repository with brand-new binary packages for the Kea 1.6 beta using a hosted repository service.<br>
>> > The repository is at <a href="https://cloudsmith.io/~isc/repos/kea-1-6/" rel="noreferrer" target="_blank">https://cloudsmith.io/~isc/repos/kea-1-6/</a><br>
>> ><br>
>> > Packages are available from ISC for:<br>
>> > CentOS7<br>
>> > Fedora 28 & 29<br>
>> > Debian 9<br>
>> > Ubuntu 18.10 & 19.04<br>
>> ><br>
>> > You should be able to install packages from there without any account or login. If you go to the site, and click on the link ’Set Me Up’ you will find explicit scripts for updating for each of those OSes listed above.<br>
>> ><br>
>> > Everything in this post is beta - the software is a beta version, we are testing the repo, and the packages are experimental.<br>
>> > Please give it a try and let us know what your experience is. We cannot guarantee that we won’t change anything - this is why we are asking for feedback.  If any part of the experience is dissappointing or confusing or not what what you expect, I would like to hear about it.  If you like it, it wouldn’t hurt to hear that too.<br>
>> ><br>
>> > We are planning to maintain this repo and these packages going forward for new Kea releases, if all goes well.<br>
>> ><br>
>> > ISC Support customers: we are setting up a restricted-access repository for the premium subscriber hooks. You should look for an update in your ticket queue next week with instructions on how to access that repository for the non-open source components.<br>
>> ><br>
>> > Regards,<br>
>> ><br>
>> > Vicky<br>
>> > -------<br>
>> ><br>
>> > Victoria Risk<br>
>> > Product Manager<br>
>> > Internet Systems Consortium<br>
>> > <a href="mailto:vicky@isc.org" target="_blank">vicky@isc.org</a><br>
>> ><br>
>> ><br>
>> ><br>
>> ><br>
>> ><br>
>> > _______________________________________________<br>
>> > Kea-users mailing list<br>
>> > <a href="mailto:Kea-users@lists.isc.org" target="_blank">Kea-users@lists.isc.org</a><br>
>> > <a href="https://lists.isc.org/mailman/listinfo/kea-users" rel="noreferrer" target="_blank">https://lists.isc.org/mailman/listinfo/kea-users</a><br>
>> _______________________________________________<br>
>> Kea-users mailing list<br>
>> <a href="mailto:Kea-users@lists.isc.org" target="_blank">Kea-users@lists.isc.org</a><br>
>> <a href="https://lists.isc.org/mailman/listinfo/kea-users" rel="noreferrer" target="_blank">https://lists.isc.org/mailman/listinfo/kea-users</a><br>
</blockquote></div>
</div></blockquote></div></div></blockquote></div>